POST /interaction/v1/interactions/resume/key:{definitionKey}?versionNumber={versionNumber}

Overview

Resumes the paused journey that matches the specified definitionKey.

URL Parameters

<!--complex table-->
Name Type Description
definitionID string Required The ID of the journey to be resumed, expressed in the form of a GUID (UUID).
versionNumber integer Required The version number of the journey to be resumed. This parameter is optional only when the allVersions parameter is true.
allVersions integer Indicates whether to resume all versions of the journey. This parameter is required only when you don't provide a versionNumber in the request URL.

Usage

Example Request

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST  /interaction/v1/interactions/resume/unique-UUID-provided-by-SFMC?versionNumber=1&allVersions=false
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

Response: No Errors

HTTP/1.1 202 Accepted
{
    "status": "Accepted"
}

Response: Missing Version Number

HTTP/1.1 400
{
    "message": "AllVersions=true or VersionNumber required.",
    "errorcode": 10005,
    "documentation": ""
}

Response: No Journey That Can Be Resumed Matches the Key

HTTP/1.1 400
{
    "message": "An interaction must be in paused status to be resumed.",
    "errorcode": 10000,
    "documentation": ""
}

Response: Runtime Error

HTTP/1.1 400
{
    "message": "{{{ERROR_OPEN_SUPPORT_CASE}}}",
    "errorcode": 30000,
    "documentation": ""
}

Response: Empty or Incorrect Authorization Token

HTTP/1.1 401
{
    "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
    "errorcode": 0,
    "message": "Not Authorized"
}